# $Revision: 1.14.2.1 $, $Date: 2002/11/09 13:10:26 $
Summary:	Old versions of GNU c++ library
Summary(pl):	Stare wersje bibliotek GNU C++
Name:		libstdc++-compat
Version:	1.0
Release:	6
License:	GPL
Group:		Libraries
Source0:	%{name}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libg++
BuildRequires:	rpm-build >= 4.0.2-66
ExclusiveArch:	alpha %{ix86} ppc sparc
%ifarch ppc
Provides:	libstdc++.so.27
Provides:	libstdc++-libc6.1-2.so.3
%endif

%define		_noautoreq	'libgcc_s.so.1' 'libgcc_s.so.1(GLIBC_2.0)'

%description
This is the GNU implementation of the standard C++ libraries, along
with additional GNU tools. This package includes the compatibility
shared libraries necessary to run some old C++ applications.

%description -l de
Dies ist die GNU-Implementierung der Standard-C++-Libraries mit
weiteren GNU-Tools. Dieses Paket enthlt die zum Ausfhren von
C++-Anwendungen erforderlichen gemeinsam genutzten Libraries.

%description -l fr
Ceci est l'implmentation GNU des librairies C++ standard, ainsi que
des outils GNU supplmentaires. Ce package comprend les librairies
partages ncessaires  l'excution d'application C++.

%description -l pl
Pakiet ten zawiera biblioteki bdce inplementacj standardowych
bibliotek C++, znajduj si w nim stare biblioteki dynamiczne
niezbdne do uruchomienia niektrych starych aplikacji C++.

%description -l tr
Bu paket, standart C++ kitaplklarnn GNU gereklemesidir ve C++
uygulamalarnn koturulmas iin gerekli kitaplklar ierir.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%ifarch alpha
cp -a alpha/* $RPM_BUILD_ROOT%{_libdir}
%endif

%ifarch sparc
cp -a sparc/* $RPM_BUILD_ROOT%{_libdir}
%endif

%ifarch %{ix86}
cp -a i386/* $RPM_BUILD_ROOT%{_libdir}
%endif

%ifarch ppc
cp -a ppc/* $RPM_BUILD_ROOT%{_libdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libstdc++-compat.spec,v $
Revision 1.14.2.1  2002/11/09 13:10:26  marcus
- added Provides: for ppc (symlinks), rel.6.

Revision 1.14  2002/09/22 19:38:56  marcus
- rel.5.
- fixed symlink for ppc

Revision 1.13  2002/09/17 10:42:55  marcus
- rel.4.
- fixes for ppc

Revision 1.12  2002/04/19 20:16:01  qboosh
- added proper ExclusiveArch
- added _noautoreq for libgcc_s (requirement for libgcc should be added to
  packages that use libstdc++.so.3 if it isn't already present)

Revision 1.11  2002/04/19 14:21:19  misiek
- rel 3

Revision 1.10  2002/04/19 14:20:53  misiek
- reverted latest kloczek change (it's not for x86 only!); added gcc 3.0.x libstdcc and some ppc libs

Revision 1.9  2002/02/25 09:26:33  kloczek
- Exclusivearch: %%{ix86}

Revision 1.8  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/18 07:59:21  marcus
- rel.2. stbr

Revision 1.5  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/22 15:01:17  qboosh
- adapterized, s/Copyright/License/, better en,pl decriptions

Revision 1.3  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.1  1999/10/11 17:05:36  baggins
- good spec :)
